Bug 524023 - wmctrl cannot pin to all desktops
wmctrl cannot pin to all desktops
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wmctrl (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-17 12:09 EDT by Jeff Bastian
Modified: 2012-04-12 02:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: wmctrl-1.07-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-02 19:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to pin to all desktops (1.46 KB, patch)
2009-09-17 12:10 EDT, Jeff Bastian
no flags Details | Diff

  None (edit)
Description Jeff Bastian 2009-09-17 12:09:42 EDT
Description of problem:
For window managers that use workspaces instead of viewports, you cannot make a window sticky with the '-b add,sticky' option.  Instead, you must pin it to all desktops by setting the desktop to -1.  However, wmctrl uses -1 internally for the -R to option to bring a window to the current desktop.

Attached is a patch to switch -R to use -2, which lets you then pin a window to all desktops with -1.

Version-Release number of selected component (if applicable):
wmctrl-1.07-6.fc11

How reproducible:
every time

Steps to Reproduce:
1. Log in to KDE
2. xclock &
3. wmctrl -t -1 -r xclock
  
Actual results:
xclock does not get pinned to all desktops

Expected results:
xclock should be pinned to all desktops

Additional info:
Comment 1 Jeff Bastian 2009-09-17 12:10:24 EDT
Created attachment 361523 [details]
patch to pin to all desktops
Comment 2 Jeff Bastian 2009-11-18 14:42:11 EST
Any thoughts on applying this patch?
Comment 3 Michael Rice 2010-04-17 21:00:14 EDT
Jeff, sorry I was not able to look into this for a while. I will check this out and see about getting it applied, Thanks
Comment 4 Bug Zapper 2010-11-04 05:57:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeff Bastian 2010-11-04 10:20:15 EDT
This is still a bug on Fedora 14 and wmctrl-1.07-7.fc12
Comment 6 Fedora Admin XMLRPC Client 2011-11-11 02:19:07 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jens Petersen 2012-02-23 22:19:15 EST
Thanks - miracles never cease :) - patch applied in wmctrl-1.07-12.fc18.

I can backport it to current releases if you like.
Comment 8 Jeff Bastian 2012-02-24 10:32:41 EST
F18 is fine.  I've switched to devilspie since opening this bug. :)
Comment 9 Fedora Update System 2012-03-12 05:17:30 EDT
wmctrl-1.07-12.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wmctrl-1.07-12.fc15
Comment 10 Fedora Update System 2012-03-12 05:17:38 EDT
wmctrl-1.07-12.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wmctrl-1.07-12.fc16
Comment 11 Fedora Update System 2012-03-12 05:17:44 EDT
wmctrl-1.07-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wmctrl-1.07-12.fc17
Comment 12 Fedora Update System 2012-03-12 05:17:50 EDT
wmctrl-1.07-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wmctrl-1.07-12.el6
Comment 13 Fedora Update System 2012-03-12 12:36:20 EDT
Package wmctrl-1.07-12.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing wmctrl-1.07-12.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0744/wmctrl-1.07-12.el6
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-04-02 19:32:19 EDT
wmctrl-1.07-12.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-04-10 23:56:17 EDT
wmctrl-1.07-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-04-11 12:53:28 EDT
wmctrl-1.07-12.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-04-11 22:08:27 EDT
wmctrl-1.07-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-04-12 02:02:27 EDT
wmctrl-1.07-12.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.